---
title: NavigatorLanguage.language
slug: Web/API/NavigatorLanguage/language
tags:
  - API
  - Language
  - NavigatorLanguage
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>NavigatorLanguage.language</code></strong> read-only property returns a string representing the preferred language of the user, usually the language of the browser UI.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <em>lang</em> = navigator.language
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}. <em><code>lang</code></em> stores a string representing the language version as defined in <a class="external" href="https://tools.ietf.org/rfc/bcp/bcp47.txt">BCP 47</a>. Examples of valid language codes include "en", "en-US", "fr", "fr-FR", "es-ES", etc.</p>

<p>Note that in Safari on iOS prior to 10.2, the country code returned is lowercase: "en-us", "fr-fr" etc.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">if (/^en\b/.test(navigator.language)) {
  doLangSelect(window.navigator.language);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-navigator-language', 'NavigatorLanguage: language')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorLanguage.language")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("NavigatorLanguage.languages", "navigator.languages")}}</li>
 <li>{{domxref("navigator")}}</li>
</ul>
